Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
DL_EncryptionAlgorithm_Xor< MAC, DHAES_MODE > Class Template Reference

the XOR encryption method, for use with DL-based cryptosystems More...

`#include <gfpcrypt.h>`

Inheritance diagram for DL_EncryptionAlgorithm_Xor< MAC, DHAES_MODE >:

List of all members.

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | GetSymmetricKeyLength (size_t plaintextLength) const
size_t | GetSymmetricCiphertextLength (size_t plaintextLength) const
size_t | GetMaxSymmetricPlaintextLength (size_t ciphertextLength) const
void | SymmetricEncrypt (RandomNumberGenerator &rng, const byte *key, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters) const
DecodingResult | SymmetricDecrypt (const byte *key, const byte *ciphertext, size_t ciphertextLength, byte *plaintext, const NameValuePairs &parameters) const

## Detailed Description

### template<class MAC, bool DHAES_MODE>
class DL_EncryptionAlgorithm_Xor< MAC, DHAES_MODE >

the XOR encryption method, for use with DL-based cryptosystems

Definition at line 420 of file gfpcrypt.h.

The documentation for this class was generated from the following file:

- gfpcrypt.h